package net.t2code.alias.Bungee.config.config;

import net.md_5.bungee.config.Configuration;
import net.md_5.bungee.config.ConfigurationProvider;
import net.md_5.bungee.config.YamlConfiguration;
import net.t2code.alias.Bungee.Main;
import net.t2code.t2codelib.BUNGEE.api.messages.T2CBsend;
import net.t2code.t2codelib.BUNGEE.api.yaml.T2CBconfig;


import java.io.File;
import java.io.IOException;

public class CreateConfig {
    public static Integer ConfigVersion = 1;

    public static void configCreate() throws IOException {
        long long_ = System.currentTimeMillis();

        File config = new File(Main.getPath(), "config.yml");
        if (!config.exists()) {
            config.createNewFile();
        }
        Configuration configuration = ConfigurationProvider.getProvider(YamlConfiguration.class).load(config);

        configuration.set("ConfigVersion", ConfigVersion);

        //BConfig.set("Plugin.UpdateCheckOnJoin", true, configuration);
        T2CBconfig.set("Plugin.language", "english", configuration);

        ConfigurationProvider.getProvider(YamlConfiguration.class).save(configuration, config);

        T2CBsend.console(Main.prefix + " §2config.yml were successfully created / updated." + " §7- §e" + (System.currentTimeMillis() - long_) + "ms");
    }
}
