package net.t2code.alias.Bungee.config.languages;

import net.md_5.bungee.config.Configuration;
import net.md_5.bungee.config.ConfigurationProvider;
import net.md_5.bungee.config.YamlConfiguration;
import net.t2code.alias.Bungee.Main;
import net.t2code.alias.Bungee.config.config.SelectConfig;
import net.t2code.alias.Util;
import net.t2code.t2codelib.BUNGEE.api.messages.T2CBsend;
import net.t2code.t2codelib.BUNGEE.api.yaml.T2CBconfig;

import java.io.File;
import java.io.IOException;

public class SelectMessages {

    private static String prefix = Util.getPrefix();

    public static String selectMSG;

    public static String onlyForPlayer;
    public static String reloadStart;
    public static String reloadEnd;

    public static String noPermissionForCommand;
    public static String aliasDisabled;


    public static void onSelect(String Prefix)throws IOException {
        File msg = new File(Main.getPath(), "languages/" + SelectConfig.language + ".yml");
        T2CBsend.debug(Main.plugin, "§4Select language...");
        Long long_ = Long.valueOf(System.currentTimeMillis());
        if (!msg.isFile()) {
            T2CBsend.console(Prefix);
            T2CBsend.console(Prefix + " §4!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!");
            T2CBsend.console(Prefix + " §4The selected §c" + SelectConfig.language + " §4language file was not found.");
            T2CBsend.console(Prefix + " §6The default language §eEnglish §6is used!");
            T2CBsend.console(Prefix + " §4!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!");
            T2CBsend.console(Prefix);
            msg = new File(Main.getPath(), "languages/" + "english.yml");
            selectMSG = "english";
        } else selectMSG = SelectConfig.language;
        Configuration configuration = ConfigurationProvider.getProvider(YamlConfiguration.class).load(msg);

        onlyForPlayer = T2CBconfig.select(prefix, "Plugin.OnlyForPlayer", configuration);
        aliasDisabled = T2CBconfig.select(prefix, "Plugin.AliasDisabled", configuration);
        reloadStart = T2CBconfig.select(prefix, "Plugin.Reload.Start", configuration);
        reloadEnd = T2CBconfig.select(prefix, "Plugin.Reload.End", configuration);
        noPermissionForCommand = T2CBconfig.select(prefix, "Plugin.ForCommand", configuration);

        T2CBsend.console(Prefix + " §2Language successfully selected to: §6" + selectMSG  + " §7- §e" + (System.currentTimeMillis() - long_.longValue()) + "ms");
    }
}
